import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
import { TrumbowygOptions } from '../model/trumbowyg-options';
export declare abstract class EditorBase implements ControlValueAccessor, OnInit, AfterViewInit, OnDestroy {
    editorControl: NgControl;
    protected _config: TrumbowygOptions;
    options: TrumbowygOptions | null;
    placeholder: string | null;
    protected _editor: ElementRef;
    protected _initValue: string;
    private _disabled;
    private propagateChange;
    private propagateTouched;
    constructor(editorControl: NgControl, _config: TrumbowygOptions);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    registerOnChange(fn: () => void): void;
    registerOnTouched(fn: () => void): void;
    writeValue(value: any): void;
    setDisabledState(disabled: boolean): void;
    ngOnDestroy(): void;
    private setContent(content);
    private getContent();
}
